Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/kodi-visualization-starburst/
Date: Mon, 30 Sep 2019 13:51:42
Message-Id: 1569851491.a859f98ea95068ad3bf37081f23c6b59651221de.candrews@gentoo
commit:     a859f98ea95068ad3bf37081f23c6b59651221de
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 13:51:02 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 13:51:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a859f98e

media-plugins/kodi-visualization-starburst: 2.0.1 version bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 media-plugins/kodi-visualization-starburst/Manifest                | 1 +
 ...burst-9999.ebuild => kodi-visualization-starburst-2.0.1.ebuild} | 7 ++++++-
 .../kodi-visualization-starburst-9999.ebuild                       | 5 +++++
 3 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/media-plugins/kodi-visualization-starburst/Manifest b/media-plugins/kodi-visualization-starburst/Manifest
index 455dd2908bb..9fe7d7790fc 100644
--- a/media-plugins/kodi-visualization-starburst/Manifest
+++ b/media-plugins/kodi-visualization-starburst/Manifest
@@ -1 +1,2 @@
 DIST kodi-visualization-starburst-2.0.0.tar.gz 149618 BLAKE2B 8afaba6236b8d2f70532e7fedcdccd7271dfcd7149b1d6e4a0f8a3c3591b984f51f0e4846ca9763968579a67277eb8547e16e8729656b32247ccbaf2a307803f SHA512 7671288a9b24ca9ea2c7aae3d0bd31dd9d3ae47785d4ef2cd11a063270fd30b89115c4736ed34aea885bea011adf3aa3b0f19abf9c24a813bdeb55cc956e6610
+DIST kodi-visualization-starburst-2.0.1.tar.gz 128625 BLAKE2B d49a85c149f908d480b8cad244f4128dae077d991b24f78f214bfa43645a12ff2d635b79682e5638b4f958b11365493f1c810418b55d60f47369de88ffc5ca22 SHA512 0af874f2265fb9ce2983f08f27e60f8a0a11ae0046b7d09dea112d9fc961169153b536495ccdb1db2ca8666e1ddd595b134d75915485b8c78a752e3db87dcd87

diff --git a/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild b/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-2.0.1.ebuild
similarity index 87%
copy from media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild
copy to media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-2.0.1.ebuild
index 5adff686360..df8814dad80 100644
--- a/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild
+++ b/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-2.0.1.ebuild
@@ -28,7 +28,7 @@ SLOT="0"
 IUSE=""
 
 DEPEND="
-	~media-tv/kodi-9999
+	=media-tv/kodi-18*
 	media-libs/glm
 	virtual/opengl
 	"
@@ -36,3 +36,8 @@ DEPEND="
 RDEPEND="
 	${DEPEND}
 	"
+
+src_prepare(){
+	[ -d depends ] && rm -rf depends || die
+	cmake-utils_src_prepare
+}

diff --git a/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild b/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild
index 5adff686360..12d4d851261 100644
--- a/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild
+++ b/media-plugins/kodi-visualization-starburst/kodi-visualization-starburst-9999.ebuild
@@ -36,3 +36,8 @@ DEPEND="
 RDEPEND="
 	${DEPEND}
 	"
+
+src_prepare(){
+	[ -d depends ] && rm -rf depends || die
+	cmake-utils_src_prepare
+}